> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Registry Status

> Get registry sync status and health.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /admin/registry/status
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /admin/registry/status:
    get:
      tags:
        - admin:registry
      summary: Get Registry Status
      description: Get registry sync status and health.
      operationId: admin:registry-get_registry_status
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistryStatusResponse'
      security:
        - APIKeyCookie: []
components:
  schemas:
    RegistryStatusResponse:
      properties:
        total_repositories:
          type: integer
          title: Total Repositories
        last_sync_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Sync At
        repositories:
          items:
            $ref: '#/components/schemas/RepositoryStatus'
          type: array
          title: Repositories
      type: object
      required:
        - total_repositories
        - last_sync_at
        - repositories
      title: RegistryStatusResponse
      description: Registry health status.
    RepositoryStatus:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        origin:
          type: string
          title: Origin
        last_synced_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Synced At
        commit_sha:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Sha
        current_version_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Current Version Id
      type: object
      required:
        - id
        - name
        - origin
        - last_synced_at
        - commit_sha
      title: RepositoryStatus
      description: Status of a single repository.
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````